Log in or register to post comments

Got warning after import vuforia 4-2-3 on Unity 5.1.1f1

June 22, 2015 - 1:21pm #1

Vuforia SDK Version: vuforia 4-2-3 -

Description with steps to reproduce:

I have warning after import vuforia on my Unity 5.1.1f1

There are the warning:

  1. There are inconsistent line endings in the 'Assets/Qualcomm Augmented Reality/Scripts/DefaultInitializationErrorHandler.cs' script. Some are Mac OS X (UNIX) and some are Windows. This might lead to incorrect line numbers in stacktraces and compiler errors. Many text editors can fix this using Convert Line Endings menu commands.
  2. Assets/Qualcomm Augmented Reality/Scripts/WireframeBehaviour.cs(41,24): warning CS0618: `UnityEngine.Material.Material(string)' is obsolete: `Creating materials from shader source string will be removed in the future. Use Shader assets instead.'
     
Is that ok?

-

Development OS (Mac OS X, Windows, Linux): Windows 8.1 Pro -

Mobile OS and Version: Android -

Mobile Device Manufacturer and Model name: Samsung Galaxy S3 Mini -

Do the Vuforia Sample Applications show the same behavior?:

Got warning after import vuforia 4-2-3 on Unity 5.1.1f1

June 25, 2015 - 6:20pm #2

I'm seeing these same warnings, which are both informational. The line numbers is just a formatting issue difference between platforms and you can have line endings updated when you open the script in MonoDevelop. The shader warning is just saying that the Material(string) constructor is obsolete (deprecated) and will be removed in future version of Unity.

Log in or register to post comments